Package ghidra.program.model.data

# Class Pointer8DataType

java.lang.Object
ghidra.program.model.data.AbstractDataType
ghidra.program.model.data.DataTypeImpl
ghidra.program.model.data.BuiltIn
ghidra.program.model.data.PointerDataType
ghidra.program.model.data.Pointer8DataType

All Implemented Interfaces:
  `BuiltInDataType`, `DataType`, `Pointer`, `ExtensionPoint`

public class Pointer8DataType extends PointerDataType
Pointer8 is really a factory for generating 1-byte pointers.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Pointer8DataType`
  `dataType`

  ### Fields inherited from class ghidra.program.model.data.PointerDataType

  `length, MAX_POINTER_SIZE_BYTES, NOT_A_POINTER, POINTER_LABEL_PREFIX, POINTER_LABEL_PREFIX_U, POINTER_LOOP_LABEL, POINTER_NAME, referencedDataType`

  ### Fields inherited from class ghidra.program.model.data.DataTypeImpl

  `defaultSettings`

  ### Fields inherited from class ghidra.program.model.data.AbstractDataType

  `categoryPath, dataMgr, EMPTY_TYPEDEF_DEFINITIONS, name`

  ### Fields inherited from interface ghidra.program.model.data.DataType

  `CONFLICT_SUFFIX, DEFAULT, NO_LAST_CHANGE_TIME, NO_SOURCE_SYNC_TIME, TYPEDEF_ATTRIBUTE_PREFIX, TYPEDEF_ATTRIBUTE_SUFFIX, VOID`

  ### Fields inherited from interface ghidra.program.model.data.Pointer

  `NaP`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Pointer8DataType()`
  `Pointer8DataType(DataType dt)`

- ## Method Summary

  ### Methods inherited from class ghidra.program.model.data.PointerDataType

  `clone, dataTypeDeleted, dataTypeNameChanged, dataTypeReplaced, dependsOn, getAddressValue, getAddressValue, getAddressValue, getAlignedLength, getCategoryPath, getDataType, getDefaultLabelPrefix, getDefaultLabelPrefix, getDescription, getDisplayName, getLabelString, getLength, getMnemonic, getName, getPointer, getPointer, getRepresentation, getTypeDefSettingsDefinitions, getValue, getValueClass, hasLanguageDependantLength, isDeleted, isEquivalent, newPointer, toString`

  ### Methods inherited from class ghidra.program.model.data.BuiltIn

  `addParent, copy, getBuiltInSettingsDefinitions, getCTypeDeclaration, getCTypeDeclaration, getCTypeDeclaration, getCTypeDeclaration, getDecompilerDisplayName, getLastChangeTime, getSettingsDefinitions, getUniversalID, removeParent, setDefaultSettings`

  ### Methods inherited from class ghidra.program.model.data.DataTypeImpl

  `equals, getAlignment, getDefaultSettings, getLastChangeTimeInSourceArchive, getParents, getSourceArchive, hashCode, notifyAlignmentChanged, notifyDeleted, notifyNameChanged, notifyParents, notifyReplaced, notifySizeChanged, replaceWith, setDescription, setLastChangeTime, setLastChangeTimeInSourceArchive, setSourceArchive`

  ### Methods inherited from class ghidra.program.model.data.AbstractDataType

  `dataTypeAlignmentChanged, dataTypeSizeChanged, encodeRepresentation, encodeValue, getDataOrganization, getDataOrganization, getDataTypeManager, getDataTypePath, getDefaultAbbreviatedLabelPrefix, getDefaultOffcutLabelPrefix, getPathName, isEncodable, isNotYetDefined, isZeroLength, setCategoryPath, setName, setNameAndCategory`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ghidra.program.model.data.DataType

  `addParent, copy, dataTypeAlignmentChanged, dataTypeSizeChanged, encodeRepresentation, encodeValue, getAlignment, getDataOrganization, getDataTypeManager, getDataTypePath, getDefaultAbbreviatedLabelPrefix, getDefaultOffcutLabelPrefix, getDefaultSettings, getLastChangeTime, getLastChangeTimeInSourceArchive, getParents, getPathName, getSettingsDefinitions, getSourceArchive, getUniversalID, isEncodable, isNotYetDefined, isZeroLength, removeParent, replaceWith, setCategoryPath, setDescription, setLastChangeTime, setLastChangeTimeInSourceArchive, setName, setNameAndCategory, setSourceArchive`

  ### Methods inherited from interface ghidra.program.model.data.Pointer

  `typedefBuilder`

- ## Field Details

  - ### dataType

    public static final Pointer8DataType dataType

- ## Constructor Details

  - ### Pointer8DataType

    public Pointer8DataType()

  - ### Pointer8DataType

    public Pointer8DataType(DataType dt)